#!/bin/bash 

#SBATCH -n 1
#SBATCH -t 23:59:59
#SBATCH -J week_year_ 
#SBATCH -e /esarchive/recon/ecmwf/era5/scripts/out-logs/week-%j.err
#SBATCH -o /esarchive/recon/ecmwf/era5/scripts/out-logs/week-%j.out

module load CDO/1.9.5-foss-2018b
tmp_dir=$NVME1DIR
y=$1

ref_file='/esarchive/exp/ecmwf/s2s-monthly_ensforhc/weekly_mean/tas_f6h/20200116/tas_20180116.nc'

for var in prlr; do
#for var in tas tasmin tasmax psl prlr rsds sfcWind; do
  if [[ $var == "tasmin" || $var == "tasmax" ]]; then
    orig_dir=/esarchive/recon/ecmwf/era5/weekly_mean/${var}_f24h/
    dest_dir=/esarchive/recon/ecmwf/era5/weekly_mean/${var}_f24h-240x121/
  else
    orig_dir=/esarchive/recon/ecmwf/era5/weekly_mean/${var}_f1h/
    dest_dir=/esarchive/recon/ecmwf/era5/weekly_mean/${var}_f1h-240x121/
  fi
  for month in $(seq -w 1 12); do

    last_day=$(date --date="${date} + 1 month -1 day" +%d)
  
      for day in $(seq -w 1 ${last_day}); do
  
        if [ ! -f ${dest_dir}/${var}_${y}${month}${day}.nc ];then 
	
          cdo remapycon2,${ref_file} ${orig_dir}/${var}_${y}${month}${day}.nc ${dest_dir}/${var}_${y}${month}${day}.nc
  
        fi
      done 
  done
done

